# module Raven::Breadcrumbs::ActiveSupportLogger

### Public Class Methods

add(name, started, _finished, _unique_id, data) click to toggle source

    # File sentry-raven/lib/raven/breadcrumbs/active_support_logger.rb, line 5
    def add(name, started, _finished, _unique_id, data)
      Raven.breadcrumbs.record do |crumb|
        crumb.data = data
        crumb.category = name
        crumb.timestamp = started.to_i
      end
    end

detach() click to toggle source

    # File sentry-raven/lib/raven/breadcrumbs/active_support_logger.rb, line 19
    def detach
      ::ActiveSupport::Notifications.unsubscribe(@subscriber)
    end

inject() click to toggle source

    # File sentry-raven/lib/raven/breadcrumbs/active_support_logger.rb, line 13
    def inject
      @subscriber = ::ActiveSupport::Notifications.subscribe(/.*/) do |name, started, finished, unique_id, data|
        add(name, started, finished, unique_id, data)
      end
    end